Activity log for bug #1691418

Date Who What changed Old value New value Message
2017-05-17 09:29:50 Stefan Bader bug added bug
2017-05-17 09:29:51 Stefan Bader tags kernel-stable-tracking-bug
2017-05-17 09:29:52 Stefan Bader bug added subscriber SRU Verification
2017-05-17 09:29:53 Stefan Bader bug added subscriber Ubuntu Stable Release Updates Team
2017-05-17 09:29:55 Stefan Bader nominated for series Ubuntu Xenial
2017-05-17 09:29:55 Stefan Bader bug task added linux (Ubuntu Xenial)
2017-05-17 12:49:35 Stefan Bader description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The 4.4.68 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://git.kernel.org/ TEST CASE: TBD The following patches from the 4.4.68 stable release shall be applied: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The 4.4.68 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD The following patches from the 4.4.68 stable release shall be applied: * 9p: fix a potential acl leak * ARM: 8452/3: PJ4: make coprocessor access sequences buildable in Thumb2 mode * cpupower: Fix turbo frequency reporting for pre-Sandy Bridge cores * powerpc/powernv: Fix opal_exit tracepoint opcode * power: supply: bq24190_charger: Fix irq trigger to IRQF_TRIGGER_FALLING * power: supply: bq24190_charger: Call set_mode_host() on pm_resume() * power: supply: bq24190_charger: Install irq_handler_thread() at end of probe() * power: supply: bq24190_charger: Call power_supply_changed() for relevant component * power: supply: bq24190_charger: Don't read fault register outside irq_handle_thread() * power: supply: bq24190_charger: Handle fault before status on interrupt * leds: ktd2692: avoid harmless maybe-uninitialized warning * ARM: OMAP5 / DRA7: Fix HYP mode boot for thumb2 build * mwifiex: debugfs: Fix (sometimes) off-by-1 SSID print * mwifiex: remove redundant dma padding in AMSDU * mwifiex: Avoid skipping WEP key deletion for AP * x86/ioapic: Restore IO-APIC irq_chip retrigger callback * x86/pci-calgary: Fix iommu_free() comparison of unsigned expression >= 0 * clk: Make x86/ conditional on CONFIG_COMMON_CLK * kprobes/x86: Fix kernel panic when certain exception-handling addresses are probed * x86/platform/intel-mid: Correct MSI IRQ line for watchdog device * Revert "KVM: nested VMX: disable perf cpuid reporting" * KVM: nVMX: initialize PML fields in vmcs02 * KVM: nVMX: do not leak PML full vmexit to L1 * usb: host: ehci-exynos: Decrese node refcount on exynos_ehci_get_phy() error paths * usb: host: ohci-exynos: Decrese node refcount on exynos_ehci_get_phy() error paths * usb: chipidea: Only read/write OTGSC from one place * usb: chipidea: Handle extcon events properly * USB: serial: keyspan_pda: fix receive sanity checks * USB: serial: digi_acceleport: fix incomplete rx sanity check * USB: serial: ssu100: fix control-message error handling * USB: serial: io_edgeport: fix epic-descriptor handling * USB: serial: ti_usb_3410_5052: fix control-message error handling * USB: serial: ark3116: fix open error handling * USB: serial: ftdi_sio: fix latency-timer error handling * USB: serial: quatech2: fix control-message error handling * USB: serial: mct_u232: fix modem-status error handling * USB: serial: io_edgeport: fix descriptor error handling * phy: qcom-usb-hs: Add depends on EXTCON * serial: 8250_omap: Fix probe and remove for PM runtime * scsi: mac_scsi: Fix MAC_SCSI=m option when SCSI=m * MIPS: R2-on-R6 MULTU/MADDU/MSUBU emulation bugfix * brcmfmac: Ensure pointer correctly set if skb data location changes * brcmfmac: Make skb header writable before use * staging: wlan-ng: add missing byte order conversion * staging: emxx_udc: remove incorrect __init annotations * ALSA: hda - Fix deadlock of controller device lock at unbinding * tcp: do not underestimate skb->truesize in tcp_trim_head() * bpf, arm64: fix jit branch offset related to ldimm64 * tcp: fix wraparound issue in tcp_lp * tcp: do not inherit fastopen_req from parent * ipv4, ipv6: ensure raw socket message is big enough to hold an IP header * rtnetlink: NUL-terminate IFLA_PHYS_PORT_NAME string * ipv6: initialize route null entry in addrconf_init() * ipv6: reorder ip6_route_dev_notifier after ipv6_dev_notf * bnxt_en: allocate enough space for ->ntp_fltr_bmap * f2fs: sanity check segment count * drm/ttm: fix use-after-free races in vm fault handling * block: get rid of blk_integrity_revalidate() * Linux 4.4.68
2017-05-17 12:52:29 Stefan Bader linux (Ubuntu Xenial): importance Undecided Medium
2017-05-17 12:52:29 Stefan Bader linux (Ubuntu Xenial): status New In Progress
2017-05-17 12:52:29 Stefan Bader linux (Ubuntu Xenial): assignee Stefan Bader (smb)
2017-06-06 14:03:19 Thadeu Lima de Souza Cascardo linux (Ubuntu Xenial): status In Progress Fix Committed
2017-06-28 16:35:34 Launchpad Janitor linux (Ubuntu Xenial): status Fix Committed Fix Released
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-1000364
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-8890
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-9074
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-9075
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-9076
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-9077
2017-06-28 16:35:34 Launchpad Janitor cve linked 2017-9242